Class | Tk::Iwidgets::Radiobox
In: | tk/lib/tkextlib/iwidgets/radiobox.rb
Parent: | Tk::Iwidgets::Labeledframe

### Methods

add delete deselect flash get index insert select tagid

### Included Modules

TkItemConfigMethod

### Constants

TkCommandNames | = | ['::iwidgets::radiobox'.freeze].freeze
WidgetClassName | = | 'Radiobox'.freeze

### External Aliases

itemcget | -> | buttoncget
itemconfigure | -> | buttonconfigure
itemconfiginfo | -> | buttonconfiginfo
current_itemconfiginfo | -> | current_buttonconfiginfo

### Public Instance methods

add(tag=nil, keys={})

[Source]

    # File tk/lib/tkextlib/iwidgets/radiobox.rb, line 59
      def add(tag=nil, keys={})
        if tag.kind_of?(Hash)
          keys = tag
          tag = nil
        end
        if tag
          tag = Tk::Itk::Component.new(self, tagid(tag))
        else
          tag = Tk::Itk::Component.new(self)
        end
        tk_call(@path, 'add', tagid(tag), *hash_kv(keys))
        tag
      end

delete(idx)

[Source]

    # File tk/lib/tkextlib/iwidgets/radiobox.rb, line 73
      def delete(idx)
        tk_call(@path, 'delete', index(idx))
        self
      end

deselect(idx)

[Source]

    # File tk/lib/tkextlib/iwidgets/radiobox.rb, line 78
      def deselect(idx)
        tk_call(@path, 'deselect', index(idx))
        self
      end

flash(idx)

[Source]

    # File tk/lib/tkextlib/iwidgets/radiobox.rb, line 83
      def flash(idx)
        tk_call(@path, 'flash', index(idx))
        self
      end

get(idx)

[Source]

    # File tk/lib/tkextlib/iwidgets/radiobox.rb, line 88
      def get(idx)
        simplelist(tk_call(@path, 'get', index(idx))).collect{|id|
          Tk::Itk::Component.id2obj(id)
        }
      end

index(idx)

[Source]

    # File tk/lib/tkextlib/iwidgets/radiobox.rb, line 94
      def index(idx)
        number(tk_call(@path, 'index', tagid(idx)))
      end

insert(idx, tag=nil, keys={})

[Source]

    # File tk/lib/tkextlib/iwidgets/radiobox.rb, line 98
      def insert(idx, tag=nil, keys={})
        if tag.kind_of?(Hash)
          keys = tag
          tag = nil
        end
        if tag
          tag = Tk::Itk::Component.new(self, tagid(tag))
        else
          tag = Tk::Itk::Component.new(self)
        end
        tk_call(@path, 'insert', index(idx), tagid(tag), *hash_kv(keys))
        tag
      end

select(idx)

[Source]

    # File tk/lib/tkextlib/iwidgets/radiobox.rb, line 112
      def select(idx)
        tk_call(@path, 'select', index(idx))
        self
      end

tagid(tagOrId)

[Source]

    # File tk/lib/tkextlib/iwidgets/radiobox.rb, line 40
      def tagid(tagOrId)
        if tagOrId.kind_of?(Tk::Itk::Component)
          tagOrId.name
        else
          #_get_eval_string(tagOrId)
          tagOrId
        end
      end

[Validate]